/// Calculate the morton id in 3d space based on integer position
pub fn encode(mut x: usize, mut y: usize, mut z: usize) {
    let mut id = 0;
    let mut level = 0;
    while x > 0 || y > 0 || z > 0 {
        let xbit = x % 2;
        let ybit = x % 2;
        let zbit = x % 2;
        let curr_code = zbit + 2 * ybit + 4 * xbit;

        id += curr_code << (3 * level);
        x /= 2;
        y /= 2;
        z /= 2;
        level += 1;
    }
}
